Subject: Re: bug#15675: the configure script invoked before make

From: Andy Moreton <[email-masked]>
Date: Thu, 24 Oct 2013 04:44:35 +0100

On Thu 24 Oct 2013, Glenn Morris wrote:

> Glenn Morris wrote:
>
>>> Building in "obj-mingw32/lib" fails because CPP and CPPFLAGS still have
>>> "-I ../nt/inc",
>
> ? Why does CPP contain flags at all? Sounds wrong.

With your updated configury from r114769, obj-mingw32/lib/Makefile has:

CPP = gcc -I ../nt/inc -E
CPPFLAGS = -mtune=pentium4   -IC:/emacs/mingw-devel/include -IC:/emacs/mingw-devel/src/xpm/3.5.1/libXpm-3.5.1-src/lib -DUSE_CRT_DLL=1 -I ${abs_top_srcdir}/nt/inc

Not sure where that comes from though...

>> Yes, I posted about that on emacs-devel a little earlier, see
>> http://lists.gnu.org/archive/html/emacs-devel/2013-10/msg00733.html
>
> I installed my guess at a solution...

Thanks for looking at this. There is still a build error in that the the
paths using $abs_top_srcdir don't expand properly. I've tracked this
down to the trailing tab and comment in the Makefile.in files:

abs_top_srcdir=@abs_top_srcdir@        # MinGW CPPFLAGS may use this

Removing the tab and the comment in all the Makefile.in files fixed
things for me.

    AndyM